routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => '', 'namespace' => 'Shop', 'as' => 'shop.'], function () {
    Route::get('/', 'ShopController@index')->name('index');
    // Route::get('/the-loai/{slugParent}/{slug}', 'ShopController@categoryList')->name('categorylist');
    Route::get('/san-pham/chi-tiet/{id}', 'ShopController@show')->name('detail');
    Route::get('/all-products', 'ShopController@allProducts')->name('allproducts');
    Route::get('/all-articles', 'ShopController@allArticles')->name('allarticles');
    Route::get('/bai-viet/{id}', 'ShopController@detailArticle')->name('detailarticle');
    // Route::get('/category-list/{name}_{id}', 'ShopController@categoryList')->name('categorylist');
    Route::group(['prefix' => 'Cart', 'as' => 'cart.', 'middleware' => ['auth']], function () {
        Route::post('/add-product-cart', 'ShopController@addProductToCart')->name('addproducttocart');
        Route::get('/gio-hang-cua-ban', 'ShopController@listCartProduct')->name('listcart');
        Route::post('/remove-item-cart', 'ShopController@removeItemCart')->name('removeitemcart');
        Route::post('/add-cart', 'ShopController@addCart')->name('addcart');
        Route::get('/ajax-show-cart', 'ShopController@ajaxShowCart')->name('ajaxshowcart');
        Route::get('/lich-su-giao-dich', 'ShopController@historyOrder')->name('historyorder');
    });
    Route::group(['prefix' => 'Info', 'as' => 'info.', 'middleware' => ['auth']], function () {
        Route::get('/thong-tin-tk', 'ShopController@showInfo')->name('showinfo');
        Route::post('/change/thong-tin-tk', 'ShopController@changeInfo')->name('changeinfo');
    });
    // Route::post('/comment/add/{slug}_{id}', 'ShopController@addComment')->name('addcomment');
    // Route::get('/about-us', 'ShopController@aboutUs')->name('about');
    // Route::get('/contact-us', 'ShopController@contactUs')->name('contact');
    // Route::post('/contact-us/add', 'ShopController@addContact')->name('addcontact');
});
Route::get('/login-admin', 'Admin\AdminController@loginAdmin')->name('loginadmin');
Route::group(['prefix' => 'admin', 'namespace' => 'Admin', 'as' => 'admin.', 'middleware' => ['checktype']], function () {
    Route::get('/', 'AdminController@index')->name('index');
    Route::group(['prefix' => 'categoryproduct', 'as' => 'categoryproduct.'], function () {
        Route::get('/', 'CategoryProductController@index')->name('list');
        Route::get('/add', 'CategoryProductController@create')->name('add');
        Route::post('/created', 'CategoryProductController@store')->name('created');
        Route::get('edit/{id}', 'CategoryProductController@edit')->name('edit');
        Route::post('/{id}', 'CategoryProductController@update')->name('update');
        Route::delete('/deletecate', 'CategoryProductController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'product', 'as' => 'product.'], function () {
        Route::get('/', 'ProductController@index')->name('list');
        Route::get('/add', 'ProductController@create')->name('add');
        Route::post('/created', 'ProductController@store')->name('created');
        Route::get('edit/{id}', 'ProductController@edit')->name('edit');
        Route::post('/{id}', 'ProductController@update')->name('update');
        Route::delete('/product/{id}', 'ProductController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ProductController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ProductController@UploadMultiple')->name('uploadimage');
    });

    Route::group(['prefix' => 'categoryarticle', 'as' => 'categoryarticle.'], function () {
        Route::get('/', 'CategoryArticleController@index')->name('list');
        Route::get('/add', 'CategoryArticleController@create')->name('add');
        Route::post('/created', 'CategoryArticleController@store')->name('created');
        Route::get('edit/{id}', 'CategoryArticleController@edit')->name('edit');
        Route::post('/{id}', 'CategoryArticleController@update')->name('update');
        Route::delete('/deletecate', 'CategoryArticleController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'article', 'as' => 'article.'], function () {
        Route::get('/', 'ArticleController@index')->name('list');
        Route::get('/add', 'ArticleController@create')->name('add');
        Route::post('/created', 'ArticleController@store')->name('created');
        Route::get('edit/{id}', 'ArticleController@edit')->name('edit');
        Route::post('/{id}', 'ArticleController@update')->name('update');
        Route::delete('/article/{id}', 'ArticleController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ArticleController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ArticleController@UploadMultiple')->name('uploadimage');
    });
     Route::group(['prefix' => 'order', 'as' => 'order.'], function () {
        Route::get('/', 'OrderController@index')->name('list');
        Route::get('/add', 'OrderController@create')->name('add');
        Route::post('/searchproductname', 'OrderController@searchProductName')->name('searchproductname');
        Route::post('/created', 'OrderController@store')->name('created');
        Route::get('edit/{id}', 'OrderController@edit')->name('edit');
        Route::post('/{id}', 'OrderController@update')->name('update');
        Route::delete('/deletecate', 'OrderController@destroy')->name('destroy');
    });
});
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/admin/layouts/footer.blade.php
 <footer class="br-footer">
        <div class="footer-left">
          <div class="mg-b-2">Copyright &copy;Nhat All Rights Reserved.</div>
          <div>Attentively and carefully made by Nhat.</div>
        </div>
        <div class="footer-right d-flex align-items-center">
          <span class="tx-uppercase mg-r-10">Share:</span>
          <a target="_blank" class="pd-x-5" href="https://www.facebook.com/sharer/sharer.php?u=http%3A//themepixels.me/bracket/intro"><i class="fa fa-facebook tx-20"></i></a>
          <a target="_blank" class="pd-x-5" href="https://twitter.com/home?status=Bracket,%20your%20best%20choice%20for%20premium%20quality%20admin%20template%20from%20Bootstrap.%20Get%20it%20now%20at%20http%3A//themepixels.me/bracket/intro"><i class="fa fa-twitter tx-20"></i></a>
        </div>
      </footer>

resources/views/admin/layouts/header.blade.php
 <div class="br-header">
      <div class="br-header-left">
        <div class="navicon-left hidden-md-down"><a id="btnLeftMenu" href=""><i class="icon ion-navicon-round"></i></a></div>
        <div class="navicon-left hidden-lg-up"><a id="btnLeftMenuMobile" href=""><i class="icon ion-navicon-round"></i></a></div>
        <div class="input-group hidden-xs-down wd-170 transition">
          <input id="searchbox" type="text" class="form-control" placeholder="Search">
          <span class="input-group-btn">
            <button class="btn btn-secondary" type="button"><i class="fa fa-search"></i></button>
          </span>
        </div><!-- input-group -->
      </div><!-- br-header-left -->
      <div class="br-header-right">
        <nav class="nav">
          <div class="dropdown">
            <a href="" class="nav-link nav-link-profile" data-toggle="dropdown">
              <span class="logged-name hidden-md-down">{{auth()->user()->name}}</span>
              <img src="/admin-css/img/img1.jpg" class="wd-32 rounded-circle" alt="">
              <span class="square-10 bg-success"></span>
            </a>
            <div class="dropdown-menu dropdown-menu-header wd-200">
              <ul class="list-unstyled user-profile-nav">
                <li><a href=""><i class="icon ion-ios-person"></i> Edit Profile</a></li>
                <li><a href=""><i class="icon ion-ios-gear"></i> Settings</a></li>
                <li><a href=""><i class="icon ion-ios-download"></i> Downloads</a></li>
                <li><a href=""><i class="icon ion-ios-star"></i> Favorites</a></li>
                <li><a href=""><i class="icon ion-ios-folder"></i> Collections</a></li>
                <li><a href="#"  onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><i class="icon ion-power"></i> Sign Out</a>
                <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                      style="display: none;">
                                    @csrf
                                </form></li>
              </ul>
            </div><!-- dropdown-menu -->
          </div><!-- dropdown -->
        </nav>
      </div><!-- br-header-right -->
    </div><!-- br-header -->

resources/views/admin/layouts/master.blade.php
<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- Twitter -->
    <meta name="twitter:site" content="@themepixels">
    <meta name="twitter:creator" content="@themepixels">
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:title" content="Bracket">
    <meta name="twitter:description" content="Premium Quality and Responsive UI for Dashboard.">
    <meta name="twitter:image" content="http://themepixels.me/bracket/img/bracket-social.png">

    <!-- Facebook -->
    <meta property="og:url" content="http://themepixels.me/bracket">
    <meta property="og:title" content="Bracket">
    <meta property="og:description" content="Premium Quality and Responsive UI for Dashboard.">

    <meta property="og:image" content="http://themepixels.me/bracket/img/bracket-social.png">
    <meta property="og:image:secure_url" content="http://themepixels.me/bracket/img/bracket-social.png">
    <meta property="og:image:type" content="image/png">
    <meta property="og:image:width" content="1200">
    <meta property="og:image:height" content="600">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <!-- Meta -->
    <meta name="description" content="Premium Quality and Responsive UI for Dashboard.">
    <meta name="author" content="ThemePixels">

    <title>Sun Admin</title>

    <!-- vendor css -->
    <link href="/admin-css/lib/font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="/admin-css/lib/Ionicons/css/ionicons.css" rel="stylesheet">
    <link href="/admin-css/lib/perfect-scrollbar/css/perfect-scrollbar.css" rel="stylesheet">
    <link href="/admin-css/lib/jquery-switchbutton/jquery.switchButton.css" rel="stylesheet">
    <link href="/admin-css/lib/rickshaw/rickshaw.min.css" rel="stylesheet">
    <link href="/admin-css/lib/chartist/chartist.css" rel="stylesheet">

    <!-- Bracket CSS -->
    <link rel="stylesheet" href="/admin-css/css/bracket.css">
    @yield('styles')
  </head>

  <body>

    <!-- ########## START: LEFT PANEL ########## -->
    @include('admin.layouts.side-left')
    <!-- ########## END: LEFT PANEL ########## -->

    <!-- ########## START: HEAD PANEL ########## -->
    @include('admin.layouts.header')
    <!-- ########## END: HEAD PANEL ########## -->

    <!-- ########## START: MAIN PANEL ########## -->
    <div class="br-mainpanel">
      @yield('content')
     @include('admin.layouts.footer')
    </div><!-- br-mainpanel -->
    <!-- ########## END: MAIN PANEL ########## -->

    <script src="/admin-css/lib/jquery/jquery.js"></script>
    <!-- <script src="/admin-css/js/jquery.min.js"></script> -->
    <script src="/admin-css/lib/popper.js/popper.js"></script>
    <script src="/admin-css/lib/bootstrap/bootstrap.js"></script>
    <script src="/admin-css/lib/perfect-scrollbar/js/perfect-scrollbar.jquery.js"></script>
    <script src="/admin-css/lib/moment/moment.js"></script>
    <script src="/admin-css/lib/jquery-ui/jquery-ui.js"></script>
    <script src="/admin-css/lib/jquery-switchbutton/jquery.switchButton.js"></script>
    <script src="/admin-css/lib/peity/jquery.peity.js"></script>



    <script src="/admin-css/js/bracket.js"></script>
    <script src="/admin-css/js/ResizeSensor.js"></script>
    <!-- <script src="/admin-css/js/main.js"></script> -->

    @yield('scripts')

    <script>
      $(function(){
        'use strict'

        // FOR DEMO ONLY
        // menu collapsed by default during first page load or refresh with screen
        // having a size between 992px and 1299px. This is intended on this page only
        // for better viewing of widgets demo.
        $(window).resize(function(){
          minimizeMenu();
        });
        console.log(location.href);
         $('.br-menu-linka[href^="' + location.href + '/"]').addClass('active');
        minimizeMenu();

        function minimizeMenu() {
          if(window.matchMedia('(min-width: 992px)').matches && window.matchMedia('(max-width: 1299px)').matches) {
            // show only the icons and hide left menu label by default
            $('.menu-item-label,.menu-item-arrow').addClass('op-lg-0-force d-lg-none');
            $('body').addClass('collapsed-menu');
            $('.show-sub + .br-menu-sub').slideUp();
          } else if(window.matchMedia('(min-width: 1300px)').matches && !$('body').hasClass('collapsed-menu')) {
            $('.menu-item-label,.menu-item-arrow').removeClass('op-lg-0-force d-lg-none');
            $('body').removeClass('collapsed-menu');
            $('.show-sub + .br-menu-sub').slideDown();
          }
        }
      });
    </script>
  </body>
</html>

resources/views/admin/layouts/side-left.blade.php
<div class="br-logo"><a href="{{route('shop.index')}}"><span>[</span>Sun<span>]</span></a></div>
<div class="br-sideleft overflow-y-auto">
    <label class="sidebar-label pd-x-15 mg-t-20">Navigation</label>
    <div class="br-sideleft-menu">
        <a href="/admin" class="br-menu-link active">
            <div class="br-menu-item">
                <i class="menu-item-icon icon ion-ios-home-outline tx-22"></i>
                <span class="menu-item-label">Trang chủ</span>
            </div><!-- menu-item -->
        </a><!-- br-menu-link -->
        {{--Product--}}
        <a href="#" class="br-menu-link">
            <div class="br-menu-item">
                <i class="menu-item-icon icon ion-ios-filing-outline tx-24"></i>
                <span class="menu-item-label">Quản lý sản phẩm</span>
                <i class="menu-item-arrow fa fa-angle-down"></i>
            </div><!-- menu-item -->
        </a><!-- br-menu-link -->
        <ul class="br-menu-sub nav flex-column">
            <li class="nav-item"><a href="{{route('admin.categoryproduct.list')}}" class="nav-link">Danh mục sản
                    phẩm</a></li>
            <li class="nav-item"><a href="{{route('admin.product.list')}}" class="nav-link">Sản Phẩm</a></li>
        </ul>
        {{-- End Product--}}

        {{-- Article--}}
        <a href="#" class="br-menu-link">
            <div class="br-menu-item">
                <i class="menu-item-icon icon ion-ios-filing-outline tx-24"></i>
                <span class="menu-item-label">Quản lý tin tức</span>
                <i class="menu-item-arrow fa fa-angle-down"></i>
            </div><!-- menu-item -->
        </a><!-- br-menu-link -->
        <ul class="br-menu-sub nav flex-column">
            <li class="nav-item"><a href="{{route('admin.categoryarticle.list')}}" class="nav-link">Danh mục tin tức</a>
            </li>
            <li class="nav-item"><a href="{{route('admin.article.list')}}" class="nav-link">Tin tức</a></li>
        </ul>
        {{-- End Article--}}

        {{--Order--}}
        <a href="#" class="br-menu-link">
            <div class="br-menu-item">
                <i class="menu-item-icon icon ion-ios-filing-outline tx-24"></i>
                <span class="menu-item-label">Quản lý đơn hàng</span>
                <i class="menu-item-arrow fa fa-angle-down"></i>
            </div><!-- menu-item -->
        </a><!-- br-menu-link -->
        <ul class="br-menu-sub nav flex-column">
            <li class="nav-item"><a href="{{route('admin.order.add')}}" class="nav-link">Tạo đơn hàng mới</a>
            </li>
            <li class="nav-item"><a href="{{route('admin.order.list')}}" class="nav-link">Quản lý đơn hàng</a></li>
        </ul>
        {{--Order--}}
    </div><!-- br-sideleft-menu -->


    <br>
</div><!-- br-sideleft -->